Skip to navigation

WorldLink Payment Initiation

View as Markdown

The CitiConnect WorldLink Payment Initiation endpoint allows users to perform payment initiation through their ERP/partner systems of choice.
Content-Type: Supports application/xml:

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.
payloadTypeenumOptional

ISO XML type of input request payload. Supports “urn:iso:std:iso:20022:tech:xsd:pain.001.001.03”

Allowed values:

Query parameters

client_idstringRequired
Unique identifier created during the onboarding process.

Request

Request body. Encode this XML request body with Base64 to place it in the <Request><paymentBase64> tag.

paymentBase64stringRequired

Base64 encoded string of ISO XML payment initiation input xml. Based on the use case, you should use one of the ISO schema. Use PACS schema for financial institutions and PAIN format for non-financial clients. ISO schema can be refered from below URL pain.001.001.03 - https://www.iso20022.org/message/14316/download or #/definitions/Pain001

Response

OK
psrDocumentstringOptionalformat: "byte"

Base64 encoded string of ISO XML payment initiation response xml. ISO schema can be found @ https://www.iso20022.org/message/14361/download or #/definitions/Pain002